module dmd.StaticAssertStatement;

import dmd.Statement;
import dmd.StaticAssert;
import dmd.OutBuffer;
import dmd.HdrGenState;
import dmd.Scope;
import dmd.Loc;

class StaticAssertStatement : Statement
{
    StaticAssert sa;

    this(StaticAssert sa)
	{
		super(sa.loc);
		this.sa = sa;
	}
	
    Statement syntaxCopy()
	{
		StaticAssertStatement s = new StaticAssertStatement(cast(StaticAssert)sa.syntaxCopy(null));
		return s;
	}
	
    Statement semantic(Scope sc)
	{
		sa.semantic2(sc);
		return null;
	}

    void toCBuffer(OutBuffer buf, HdrGenState* hgs)
	{
		assert(false);
	}
}